var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as classnames from "classnames";
import * as React from "react";
var cssClass = {
    CONTAINER: "Checkbox--CheckMark",
};
var CheckMark = /** @class */ (function (_super) {
    __extends(CheckMark, _super);
    function CheckMark() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CheckMark.prototype.render = function () {
        var className = this.props.className;
        return (React.createElement("svg", { className: classnames(cssClass.CONTAINER, className), xmlns: "http://www.w3.org/2000/svg", viewBox: "0 0 12 10", 
            // Prevent IE11 from focusing on the element.
            focusable: "false" },
            React.createElement("path", { fill: "#FAFCFC", fillRule: "evenodd", d: "M11.93 2.3c.1-.1.1-.28 0-.38L10.18.08a.25.25 0 0 0-.36 0L4.5 5.68 2.18 3.24a.25.25 0 0 0-.36 0L.07 5.07c-.1.1-.1.28 0 .38l4.25 4.48c.06.04.11.07.18.07.07 0 .13-.03.18-.07l7.25-7.63z" })));
    };
    return CheckMark;
}(React.PureComponent));
export default CheckMark;
